org.opencv.text

## Class OCRBeamSearchDecoder

- java.lang.Object
- - org.opencv.text.BaseOCR
  - - org.opencv.text.OCRBeamSearchDecoder

-     public class OCRBeamSearchDecoder
      extends BaseOCR

  OCRBeamSearchDecoder class provides an interface for OCR using Beam Search algorithm. Note:
  - (C++) An example on using OCRBeamSearchDecoder recognition combined with scene text detection can be found at the demo sample: <https://github.com/opencv/opencv_contrib/blob/master/modules/text/samples/word_recognition.cpp>

- - ### Field Summary

    - ### Fields inherited from class org.opencv.text.BaseOCR

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OCRBeamSearchDecoder(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OCRBeamSearchDecoder` | `__fromPtr__(long addr)`
    `static OCRBeamSearchDecoder` | `create(String filename, String vocabulary, Mat transition_probabilities_table, Mat emission_probabilities_table)` Creates an instance of the OCRBeamSearchDecoder class.
    `static OCRBeamSearchDecoder` | `create(String filename, String vocabulary, Mat transition_probabilities_table, Mat emission_probabilities_table, int mode)` Creates an instance of the OCRBeamSearchDecoder class.
    `static OCRBeamSearchDecoder` | `create(String filename, String vocabulary, Mat transition_probabilities_table, Mat emission_probabilities_table, int mode, int beam_size)` Creates an instance of the OCRBeamSearchDecoder class.
    `protected void` | `finalize()`
    `String` | `run(Mat image, int min_confidence)` Recognize text using Beam Search.
    `String` | `run(Mat image, int min_confidence, int component_level)` Recognize text using Beam Search.
    `String` | `run(Mat image, Mat mask, int min_confidence)`
    `String` | `run(Mat image, Mat mask, int min_confidence, int component_level)`

    - ### Methods inherited from class org.opencv.text.BaseOCR

      `getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OCRBeamSearchDecoder

          protected OCRBeamSearchDecoder(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static OCRBeamSearchDecoder __fromPtr__(long addr)

    - #### create

          public static OCRBeamSearchDecoder create(String filename,
                                                    String vocabulary,
                                                    Mat transition_probabilities_table,
                                                    Mat emission_probabilities_table,
                                                    int mode,
                                                    int beam_size)

      Creates an instance of the OCRBeamSearchDecoder class. Initializes HMMDecoder from the specified path.
      Parameters:
        `filename` - automatically generated
        `vocabulary` - automatically generated
        `transition_probabilities_table` - automatically generated
        `emission_probabilities_table` - automatically generated
        `mode` - automatically generated
        `beam_size` - automatically generated
      Returns:
        automatically generated

    - #### create

          public static OCRBeamSearchDecoder create(String filename,
                                                    String vocabulary,
                                                    Mat transition_probabilities_table,
                                                    Mat emission_probabilities_table,
                                                    int mode)

      Creates an instance of the OCRBeamSearchDecoder class. Initializes HMMDecoder from the specified path.
      Parameters:
        `filename` - automatically generated
        `vocabulary` - automatically generated
        `transition_probabilities_table` - automatically generated
        `emission_probabilities_table` - automatically generated
        `mode` - automatically generated
      Returns:
        automatically generated

    - #### create

          public static OCRBeamSearchDecoder create(String filename,
                                                    String vocabulary,
                                                    Mat transition_probabilities_table,
                                                    Mat emission_probabilities_table)

      Creates an instance of the OCRBeamSearchDecoder class. Initializes HMMDecoder from the specified path.
      Parameters:
        `filename` - automatically generated
        `vocabulary` - automatically generated
        `transition_probabilities_table` - automatically generated
        `emission_probabilities_table` - automatically generated
      Returns:
        automatically generated

    - #### run

          public String run(Mat image,
                            Mat mask,
                            int min_confidence,
                            int component_level)

    - #### run

          public String run(Mat image,
                            Mat mask,
                            int min_confidence)

    - #### run

          public String run(Mat image,
                            int min_confidence,
                            int component_level)

      Recognize text using Beam Search. Takes image on input and returns recognized text in the output_text parameter. Optionally provides also the Rects for individual text elements found (e.g. words), and the list of those text elements with their confidence values.
      Parameters:
        `image` - Input binary image CV_8UC1 with a single text line (or word). text elements found (e.g. words). recognition of individual text elements found (e.g. words). for the recognition of individual text elements found (e.g. words).
        `component_level` - Only OCR_LEVEL_WORD is supported.
        `min_confidence` - automatically generated
      Returns:
        automatically generated

    - #### run

          public String run(Mat image,
                            int min_confidence)

      Recognize text using Beam Search. Takes image on input and returns recognized text in the output_text parameter. Optionally provides also the Rects for individual text elements found (e.g. words), and the list of those text elements with their confidence values.
      Parameters:
        `image` - Input binary image CV_8UC1 with a single text line (or word). text elements found (e.g. words). recognition of individual text elements found (e.g. words). for the recognition of individual text elements found (e.g. words).
        `min_confidence` - automatically generated
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `BaseOCR`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7